.search-form {
  padding: 50px;
  border: solid 1px #dedede;
  border-radius: 4px;
}
@media screen and (max-width: 767px) {
  .search-form {
    padding: 30px 15px;
  }
}
.search-form__show-all {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  gap: 10px;
  padding: 11px 10px;
  background: #ebf6ff;
  font-weight: 600;
  font-size: 18px;
}
.search-form__label {
  margin: 0 0 15px;
  padding: 30px 0 10px;
  border-bottom: solid 2px #f2f2f2;
  font-weight: 600;
  font-size: 22px;
  line-height: 1.6818181818;
}
@media screen and (max-width: 767px) {
  .search-form__label {
    font-size: 18px;
    padding: 25px 0 5px;
  }
}
.search-form__options {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(190px, 1fr));
  gap: 15px;
}
@media screen and (max-width: 767px) {
  .search-form__options {
    grid-template-columns: 100%;
  }
}
.search-form__options[data-field-type=development_theme] {
  grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
}
@media screen and (max-width: 767px) {
  .search-form__options[data-field-type=development_theme] {
    grid-template-columns: repeat(2, 1fr);
  }
}
.search-form__checkbox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 10px;
}
.search-form__checkbox span {
  padding: 2px 0;
  font-size: 16px;
}
.search-form input[type=checkbox] {
  width: 22px;
  height: 22px;
  opacity: 0;
  accent-color: #0065af;
}
.search-form input[type=checkbox]:checked + span:before {
  content: url(../img/p-technical-search/checkbox-checked.svg);
}
.search-form input[type=checkbox] + span {
  position: relative;
  z-index: 0;
}
.search-form input[type=checkbox] + span:before {
  position: absolute;
  top: 0;
  left: -32px;
  width: 22px;
  height: 22px;
  background: #fff;
  content: url(../img/p-technical-search/checkbox.svg);
  line-height: 0;
}

.tech-list {
  margin: 50px auto 0;
}
@media screen and (max-width: 767px) {
  .tech-list {
    margin: 40px auto 0;
  }
}
.tech-list__item {
  border-top: solid 2px #e4eaf0;
}
.tech-list__item:nth-child(odd of :not([hidden])) {
  background: #e6f7ff;
}
.tech-list__item:nth-last-child(1 of :not([hidden])) {
  border-bottom: solid 2px #e4eaf0;
}
.tech-list__link {
  position: relative;
  z-index: 0;
  display: block;
  padding: 10px 80px 10px 54px;
  font-weight: 600;
  font-size: 20px;
  line-height: 1.7;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
@media screen and (max-width: 767px) {
  .tech-list__link {
    padding: 10px 45px 10px 20px;
  }
}
@media (hover: hover) {
  .tech-list__link:hover:link, .tech-list__link:hover:active, .tech-list__link:hover:visited {
    color: #0065af;
    cursor: pointer;
  }
  .tech-list__link:hover:hover {
    color: #0065af;
  }
  .tech-list__link:hover:after {
    -webkit-transform: translateX(5px);
    transform: translateX(5px);
  }
}
.tech-list__link:after {
  position: absolute;
  top: calc(50% - 11.5px);
  right: 53px;
  content: url(../img/p-technical-search/arrow.svg);
  line-height: 0;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
